Skip to main content
`Ctrl`+`K`

# TaoViewFromOptions

View a `Tao` object based on values in the options database

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoViewFromOptions(Tao A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `Tao` context

- obj - Optional object that provides the prefix for the options database

- name - command line option

## See Also

TAO: Optimization Solvers, `Tao`, `TaoView`, `PetscObjectViewFromOptions()`, `TaoCreate()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages